Get all fixture updates for a single fixture on a given day
curl --request GET \
--url https://txline.txodds.com/api/fixtures/updates/{epochDay}/{hourOfDay} \
--header 'Authorization: Bearer <token>' \
--header 'X-Api-Token: <api-key>'import requests
url = "https://txline.txodds.com/api/fixtures/updates/{epochDay}/{hourOfDay}"
headers = {
"Authorization": "Bearer <token>",
"X-Api-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Api-Token': '<api-key>'}
};
fetch('https://txline.txodds.com/api/fixtures/updates/{epochDay}/{hourOfDay}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Ts": 123,
"StartTime": 123,
"Competition": "<string>",
"CompetitionId": 123,
"FixtureGroupId": 123,
"Participant1Id": 123,
"Participant1": "<string>",
"Participant2Id": 123,
"Participant2": "<string>",
"FixtureId": 123,
"Participant1IsHome": true
}
]"<string>""<string>""<string>""<string>"Fixtures
Get all fixture updates for a single fixture on a given day
GET
/
api
/
fixtures
/
updates
/
{epochDay}
/
{hourOfDay}
Get all fixture updates for a single fixture on a given day
Authorizations
User's session JWT.
The user's long-lived API token, obtained from the activation endpoint.
Headers
Bearer token for the user's session JWT.
The user's long-lived API token.
Path Parameters
The day since the Unix epoch
The hour of the day (0-23)
Response
A list of fixture updates. If no updates are found for the given parameters, an empty list is returned.
Was this page helpful?